Page MenuHomePhabricator

Design an HTML mail template
Closed, WontfixPublic

Description

HTML mail kind of works OK now, but we could probably improve it significantly by changing how some of the text mail sections render in their HTML version. For example:

  • Email preferences could move to a new footer element.
  • To/Cc can go in a footer element too? Or at least get like really small.
  • Same with "Reply Handler Actions".
  • Stuff like "TASK DETAIL http://blahblah/" could maybe become a "View Task" button?

So maybe we end up roughly like:

+--------------------------------------------+
| alincoln raised priority.    [ VIEW TASK ] |
| alincoln added a comment.                  |
+--------------------------------------------+

Four score and seven years ago...

+--------------------------------------------+
| Email Preferences * Footer Stuff Here      |
+--------------------------------------------+

Obviously this isn't very developed. Not sure if we can pull it off on mobile, either. From a technical perspective:

  • We have to use only inline CSS since GMail just deletes all style tags, etc.
  • Ideally, no images either.
  • We can't do JS-driven reactive CSS stuff so we have very limited tools to make the mail behave differently on mobile vs web.
  • Generally, keeping things simple is probably for the best? But some of these elements can have way nicer renderings in HTML than plaintext.

Revisions and Commits

Event Timeline

epriestley assigned this task to chad.
epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added projects: Design, Mail.
epriestley added subscribers: epriestley, lpriestley.
chad added a comment.Nov 20 2014, 2:08 AM

Yeah it might just be something like setFooterLink which we provide a base footer, and links can be tacked on.

eadler added a subscriber: eadler.Jun 1 2015, 6:50 PM
epriestley closed this task as Wontfix.Jul 16 2016, 2:23 PM

We've just been inching our way through this bit-by-bit to address specific use cases and improvements. That approach seems to be working pretty well and we have no plans to turn the whole mail into some fancy graphic thing, so I don't anticipate doing a specific whole-mail HTML redesign. We'll continue making improvements to specific sections.

zhen added a subscriber: zhen.Jun 7 2017, 8:53 AM